actions: []
api_documentation: http://docs.ros.org/hydro/api/ethercat_hardware/html
authors: Rob Wheeler <wheeler@willowgarage.com>, Derek King <dking@willowgarage.com>
brief: ''
bugtracker: ''
depends:
- message_runtime
- catkin
- roscpp
- diagnostic_updater
- eml
- pluginlib
- realtime_tools
- pr2_hardware_interface
- pr2_msgs
- message_generation
- diagnostic_msgs
- log4cxx
depends_on:
- rosjava_messages
- pr2_ethercat_drivers
- sr_edc_ethercat_drivers
- pr2_ethercat
- pr2_motor_diagnostic_tool
description: Package for creating a hardware interface to the robot using the EtherCAT
  motor controller/driver
devel_jobs:
- devel-hydro-pr2_ethercat_drivers
doc_job: doc-hydro-pr2_ethercat_drivers
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Austin Hendrix <ahendrix@willowgarage.com>
metapackages:
- pr2_ethercat_drivers
msgs:
- BoardInfo
- ActuatorInfo
- MotorTrace
- RawFTDataSample
- MotorTraceSample
- RawFTData
- MotorTemperature
package_type: package
release_jobs:
- ros-hydro-ethercat-hardware_sourcedeb
- ros-hydro-ethercat-hardware_binarydeb_precise_amd64
- ros-hydro-ethercat-hardware_binarydeb_precise_i386
- ros-hydro-ethercat-hardware_binarydeb_quantal_amd64
- ros-hydro-ethercat-hardware_binarydeb_quantal_i386
- ros-hydro-ethercat-hardware_binarydeb_raring_amd64
- ros-hydro-ethercat-hardware_binarydeb_raring_i386
repo_name: pr2_ethercat_drivers
repo_url: ''
srvs:
- SoftProcessorFirmwareWrite
- SoftProcessorReset
- SoftProcessorFirmwareRead
timestamp: 1440763789.849723
url: http://ros.org/wiki/ethercat_hardware
vcs: git
vcs_uri: https://github.com/PR2/pr2_ethercat_drivers.git
vcs_version: hydro-devel
